# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/stat.pm) perl(Image/Info.pm) perl(Module/Build.pm) perl(Module/Build/Compat.pm) perl(Test/Distribution.pm) perl(Test/More.pm) perl(YAML.pm) perl(Getopt/ArgvFile.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name khatgallery
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: HTML photo album generator.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/R/RU/RUBYKAT/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
HTML::KhatGallery generates a HTML photo gallery.  It takes a directory.of images, and generates the HTML pages and thumbnails needed.

This includes the khatgallery script (to generate the gallery)
and the kg_image_info script (to get information about an image).

I decided to write this because, while there are gazillion gallery scripts
out there, none of them do quite what I want, and I wanted to take nice
features from different scripts and bring them together.

=over

=item *

Pre-generated (baked, not fried)

=item *

Can recurse down into sub-directories of the top gallery directory.

=item *

Generates only new files by default.

=item *

Can clean out unused files.

=item *

Can force regeneration of HTML or thumbnails.

=item *

Does not require Javascript.

=item *

Ability to add plugins.

=item *

Meta-data from more than just jpeg files.

=item *

Multi-page albums.  That is, directories with lots of images can show
only so many images per index page, instead of having to load every
single thumbnail.

=item *

Very simple page template, not complicated themes.

=item *

Pixel-area thumbnails (rather than conforming to particular width or
height, you get higher-quality thumbnails by making them have a given
area).

=item *

XHTML compliant.

=item *

Dynamic columns with CSS and HTML, rather than fixed tables.

=back

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README TODO
%perl_vendor_privlib/H*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

